version: '3.3'

services:
  behide-party-manager:
    image: registry.gitlab.com/carne-8/behide/party-manager:latest
    container_name: "behide-party-manager"
    environment:
      - BEHIDE_PARTY_MANAGER_API_TOKEN=${BEHIDE_PARTY_MANAGER_API_TOKEN}
    labels:
      - traefik.enable=true
      - traefik.http.routers.behide-https.rule=(Host(`behide-party-manager.titaye.dev`))
      - traefik.http.routers.behide-https.tls=true
      - traefik.http.routers.behide-https.tls.certresolver=myresolver
      - traefik.http.routers.behide.rule=(Host(`behide-party-manager.titaye.dev`))
    networks:
      - web

networks:
  web:
    external: true